<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li class="current"><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_i"></a>- i -</h3><ul>
<li>id
: <a class="el" href="classTIGLContainersPosInfo.html#a6aa7688f9791cd0049cabb4a583fb081">TIGLContainersPosInfo&lt; ID_TYPE &gt;</a>
, <a class="el" href="classTIGLContainersVertexBase.html#a3f6edf01d8830e0b5b8ad74549eeb085">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>incrementExternalMessagesCount()
: <a class="el" href="classTIGLContainersAggregate.html#a2b7398a983604cf319ecc14b5dc43cee">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>incrementNumMessages()
: <a class="el" href="classTIGLContainersSubgraph.html#a6fee9ddc8dc453e7106704f15950b4f0">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>inEdges
: <a class="el" href="classTIGLContainersBiVertexBase.html#a05f5f7777608e6b5c50f3ec7a52157e1">TIGLContainersBiVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>init()
: <a class="el" href="classPageRankVertex.html#a99197c4b8e957ebc36a9ea4ea197f2ad">PageRankVertex&lt; DataType &gt;</a>
, <a class="el" href="classPageRankVertexSeq.html#a80e546e36e9fc1be96ec190efdd319c6">PageRankVertexSeq&lt; DataType, IdType &gt;</a>
, <a class="el" href="classSSSPVertex.html#ad1c5d611197f20c44121c847695d4e79">SSSPVertex&lt; DataType, EdgeType &gt;</a>
, <a class="el" href="classSSSPVertexSeq.html#a70fd837471dd3513a71ae031cb99d1ac">SSSPVertexSeq&lt; DataType, EdgeType, IdType &gt;</a>
, <a class="el" href="classTIGLApiVertex.html#a846155817024d5eb7c732a3989b639f1">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
, <a class="el" href="classTIGLCommunicationManager.html#a305a227aa62d7c63352f0628a6b107f3">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
, <a class="el" href="classTIGLComputationManager.html#ad6620bad7b93a884ac61d8b9dbad72c9">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
, <a class="el" href="classTIGLContainersSubgraph.html#adf62aec81f3669e61aa78b08bbe22a57">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
, <a class="el" href="classTIGLContainersVertexBase.html#a53510bd15bbce08013705a779d3b191a">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>init_src()
: <a class="el" href="classSSSPVertexSeq.html#aab0a2d4c72c8b83b72237d6224b9eb23">SSSPVertexSeq&lt; DataType, EdgeType, IdType &gt;</a>
</li>
<li>initFlag
: <a class="el" href="classTIGLCommunicationManager.html#af6fa8fbb6818efd2c72360f354fcd8c6">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>initGraph()
: <a class="el" href="classTIGL.html#a9dfa4b01593d43a547c6e0750a4bf19d">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>initSS()
: <a class="el" href="classTIGLCommunicationManager.html#adc839af30deaef809baf2738b9b3f11e">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>inMutationMessages
: <a class="el" href="classTIGLContainersSubgraph.html#a1590a714907035e3bb0ffbeda51aedab">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>InsertActive()
: <a class="el" href="classTIGLComputationManager.html#a640b3d21343c751076499f91cf9ec84c">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>instRecvMutationMessages()
: <a class="el" href="classTIGLCommunicationManager.html#af049638494f8ff5b1672c2e1df199b6c">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>isActive()
: <a class="el" href="classTIGLApiVertex.html#a02f1b2d5de3ae2978c813e827180f21b">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
, <a class="el" href="classTIGLContainersBiVertex.html#a509ef025dc764f949fcc25dd06f1ed2f">TIGLContainersBiVertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>isActiveWithNoMessage()
: <a class="el" href="classTIGLApiVertex.html#ae9418ab15c2cd6275b146186dac667f0">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
</li>
<li>isBiVertex()
: <a class="el" href="classTIGLContainersBiVertexBase.html#ab244b4eda4614655b1672b9190c0f3f2">TIGLContainersBiVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
, <a class="el" href="classTIGLContainersSubgraph.html#a9315e7225de9fa927eb552b01ecfce1e">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
, <a class="el" href="classTIGLContainersVertexBase.html#af0521f19891d34cc1dfba07ec5bd83cd">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>isConnected()
: <a class="el" href="classTIGLContainersSubgraphBase.html#a8649895f04c215f32442a3087c5c8cd3">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
, <a class="el" href="classTIGLContainersVertexBase.html#a6b9a5ee6ceed8269cfde06116fa4fb30">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>isDirected()
: <a class="el" href="classTIGLContainersSubgraphBase.html#aca8529bfd444ab738305122fd08664f3">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
<li>isInitialized()
: <a class="el" href="classTIGLComputationManager.html#a0c19b25315f8617bf955c57ba585708c">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>isMultipleDevices()
: <a class="el" href="classTIGLCommunicationManager.html#a5538c723dd0a0311954a3d4446b2f9c8">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>isTxComplete()
: <a class="el" href="classTIGLCommunicationManager.html#acfcc3974aa363313d7e3c152601ea968">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>isUpdated
: <a class="el" href="classTIGLContainersAggregate.html#a634cea0f993b93549a4c8df631a8996a">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:14:00 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
